import Action from "./Action";
import Exploration from "./Exploration";
import Mapping from "./Mapping";
import Session from "./Session";

export default interface IPrinter {
    printSession(session: Session, options): string;

    printExploration(exploration: Exploration, session: Session, options): string;

    printAction(action: Action, session: Session, options): string;
}
